.main {
    padding-inline: var(--margin);

    display: grid;
    align-content: start;
    gap: var(--margin);
}

.form {
    display: grid;
    gap: var(--margin);
}

.input {
    padding: var(--margin);

    border: 1px solid #ccc;
    border-inline-start: 4px solid var(--color-primary);
}

.button {
    padding: var(--margin);

    background: var(--color-primary);
    border: none;
    border-radius: var(--radius);
}

.result {
    font-size: 2rem;
    text-align: center;
}

.error {
    color: var(--color-error);

    &::first-letter {
        text-transform: capitalize;
    }
}

.loading {
    display: grid;
    place-content: center;
}